// This snippet creates a new dialog box
// with buttons on the bottom.

//Title:
//Version:
//Copyright:
//Author:
//Company:
//Description:


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class SimbolicDialog extends JDialog {
  JPanel panel1 = new JPanel();
  JPanel panel2 = new JPanel();
  JButton button1 = new JButton();
  JButton button2 = new JButton();
  Border border1;
  JPanel jPanel1 = new JPanel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  GridLayout gridLayout1 = new GridLayout();

  public SimbolicDialog(Frame frame, String title, boolean modal) {
    super(frame, title, modal);
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }

    pack();
  }

  public SimbolicDialog(Frame frame, String title) {
    this(frame, title, false);
  }

  public SimbolicDialog(Frame frame) {
    this(frame, "", false);
  }

  private void jbInit() throws Exception {
    border1 = BorderFactory.createRaisedBevelBorder();
    jPanel1.setLayout(gridLayout1);
    panel2.setBorder(border1);
    button1.setText("OK");
    button1.addActionListener(new SimbolicDialog_button1_actionAdapter(this));
    button2.setText("Cancel");
    gridLayout1.setHgap(4);
    button2.addActionListener(new SimbolicDialog_button2_actionAdapter(this));
    this.addWindowListener(new SimbolicDialog_this_windowAdapter(this));
    panel1.setLayout(gridBagLayout1);
    panel1.add(panel2, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    panel1.add(jPanel1, new GridBagConstraints(0, 1, 1, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(4, 8, 4, 8), 0, 0));
    jPanel1.add(button1, null);
    jPanel1.add(button2, null);
    getContentPane().add(panel1);
}

  // OK
  void button1_actionPerformed(ActionEvent e) {
    dispose();
  }

  // Cancel
  void button2_actionPerformed(ActionEvent e) {
    dispose();
  }

  void this_windowClosing(WindowEvent e) {
    dispose();
  }
}

class SimbolicDialog_button1_actionAdapter implements ActionListener {
  SimbolicDialog adaptee;

  SimbolicDialog_button1_actionAdapter(SimbolicDialog adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.button1_actionPerformed(e);
  }
}

class SimbolicDialog_button2_actionAdapter implements ActionListener {
  SimbolicDialog adaptee;

  SimbolicDialog_button2_actionAdapter(SimbolicDialog adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.button2_actionPerformed(e);
  }
}

class SimbolicDialog_this_windowAdapter extends WindowAdapter {
  SimbolicDialog adaptee;

  SimbolicDialog_this_windowAdapter(SimbolicDialog adaptee) {
    this.adaptee = adaptee;
  }

  public void windowClosing(WindowEvent e) {
    adaptee.this_windowClosing(e);
  }
}
 
