import java.applet.Applet;
import java.awt.*;
import java.util.Vector;
import java.awt.event.*;
import javax.swing.*;

class Circuit_choicevar_itemAdapter implements java.awt.event.ItemListener
{
	Circuit adaptee;
 	Circuit_choicevar_itemAdapter(Circuit adaptee)
	{
		this.adaptee = adaptee;
	}

	public void itemStateChanged(ItemEvent e)
	{
		adaptee.choice1_itemStateChanged(e);
	}
}

class choiceNumOutVariable implements java.awt.event.ItemListener
{
	Circuit adaptee;
 	choiceNumOutVariable(Circuit adaptee)
	{
		this.adaptee = adaptee;
	}

	public void itemStateChanged(ItemEvent e)
	{
		adaptee.OutVariableStateChanged(e);
	}
}

class choiceNumRingVariable implements java.awt.event.ItemListener
{
	Circuit adaptee;
 	choiceNumRingVariable(Circuit adaptee)
	{
		this.adaptee = adaptee;
	}

	public void itemStateChanged(ItemEvent e)
	{
		adaptee.RingVariableStateChanged(e);
	}
}



public class Circuit extends Applet
{
    BoxedArea boxedArea;
    Button stepByStep;
    Button modebutton;
    Button delbutton;
    Button seqbutton;
    Button simbolic;
    Label spaziolabel;
    Label modelabel;
    Label choicevartxt1;
    Label choicevartxt2;
    Label choicevartxt3;
    boolean edit = true;
    boolean sequential = false;
    int numvar= 0;
    int numRingvar= 0;
    int numOutvar = 0;
    Choice choicevar1 = new Choice();
    Choice choicevar2 = new Choice();
    Choice choicevar3 = new Choice();
    Graphics g;

    public void init()
     {
        GridBagLayout gridBag = new GridBagLayout();
        GridBagConstraints constraints = new GridBagConstraints();
        setLayout(gridBag);

        boxedArea = new BoxedArea(this);
        constraints.fill = GridBagConstraints.BOTH;
        constraints.weighty = 1.0;
        constraints.gridwidth = GridBagConstraints.REMAINDER;
        gridBag.setConstraints(boxedArea, constraints);
        this.add(boxedArea);

        modebutton = new Button("Simulate");
        seqbutton = new Button("Change to Sequential");
        simbolic=new Button("Simbolic settings");
        stepByStep=new Button("Step by Step");
        constraints.fill = GridBagConstraints.HORIZONTAL;
        constraints.weighty = 0.0;
        constraints.gridwidth = 1;
        gridBag.setConstraints(modebutton, constraints);
        this.add(modebutton);
        gridBag.setConstraints(simbolic, constraints);
        this.add(simbolic);
        gridBag.setConstraints(stepByStep, constraints);
        this.add(stepByStep);


        setFont(new Font("Helvetica", Font.PLAIN, 12));
        modelabel = new Label((edit ? " Editing circuit..." : " Simulating circuit..."));
        constraints.weightx = 1.0;
        constraints.gridwidth = GridBagConstraints.VERTICAL;
        gridBag.setConstraints(modelabel, constraints);
        this.add(modelabel);


        constraints.fill = GridBagConstraints.HORIZONTAL;
        constraints.weighty = 0.0;
        constraints.weightx = 0.0;
        constraints.gridwidth = 1;

        spaziolabel = new Label("");
        this.add(spaziolabel);

        constraints.fill = GridBagConstraints.HORIZONTAL;
        constraints.weighty = 0.0;
        constraints.weightx = 0.0;
        constraints.gridwidth = 1;

	      spaziolabel = new Label("");
        this.add(spaziolabel);

        constraints.fill = GridBagConstraints.HORIZONTAL;
        constraints.weighty = 0.0;
        constraints.weightx = 0.0;
        constraints.gridwidth = 1;
        gridBag.setConstraints(seqbutton, constraints);
        this.add(seqbutton);

        spaziolabel = new Label("");
        this.add (spaziolabel);

        choicevartxt1=new Label("Input");
        this.add(choicevartxt1);

        gridBag.setConstraints(choicevar1, constraints);
        this.add(choicevar1);
        choicevar1.addItem("0");
        choicevar1.addItem("1");
        choicevar1.addItem("2");
        choicevar1.addItem("3");
        choicevar1.addItem("4");
        choicevar1.addItem("5");
        //this.add(choicevar1);
      	choicevar1.addItemListener(new Circuit_choicevar_itemAdapter(this));
        numvar = 0;

        spaziolabel = new Label("  ");
    //    this.add (spaziolabel);

        choicevartxt2=new Label("Ring");
        this.add(choicevartxt2);

        gridBag.setConstraints(choicevar2, constraints);
        choicevar2.addItem("0");
        choicevar2.addItem("1");
        choicevar2.addItem("2");
        choicevar2.addItem("3");
        this.add(choicevar2);
      	choicevar2.addItemListener(new choiceNumRingVariable(this));
        numRingvar = 0;

        choicevartxt3=new Label("Output");
        this.add(choicevartxt3);

        gridBag.setConstraints(choicevar3, constraints);
        choicevar3.addItem("0");
        choicevar3.addItem("1");
        choicevar3.addItem("2");
        choicevar3.addItem("3");
        choicevar3.addItem("4");
        this.add(choicevar3);
      	choicevar3.addItemListener(new choiceNumOutVariable(this));
        numOutvar = 0;

        validate();
        }

   void choice1_itemStateChanged(ItemEvent e)
	  {
      int diff=(Integer.parseInt(choicevar1.getSelectedItem()))-numvar;
      numvar = Integer.parseInt(choicevar1.getSelectedItem());
      if(diff>0) boxedArea.add(diff);
      if(diff<0) boxedArea.remove(diff);
      boxedArea.repaint();
    }

    void InputStateNameChanged()
     {

     }

    void RingVariableStateChanged(ItemEvent e)
	  {
      if (!sequential)
      {
        Frame fb=new Frame();
        MessaggioWarning rfr=new MessaggioWarning(this, fb,"Only for sequential mode","OK");
        rfr.show();
        choicevar2.select(0);
      }
      else
      {
      int diff=(Integer.parseInt(choicevar2.getSelectedItem()))-numRingvar;
      numRingvar = Integer.parseInt(choicevar2.getSelectedItem());
      if(diff>0) boxedArea.addRing(diff);
      if(diff<0) boxedArea.removeRing(diff);
      boxedArea.repaint();
      }
    }

   void OutVariableStateChanged(ItemEvent e)
	  {
      int diff=(Integer.parseInt(choicevar3.getSelectedItem()))-numOutvar;
      numOutvar = Integer.parseInt(choicevar3.getSelectedItem());
      if(diff>0) boxedArea.addOut(diff);
      if(diff<0) boxedArea.removeOut(diff);
      boxedArea.repaint();
    }

   public boolean action(Event e, Object arg)
     {
        Object target = e.target;
        if (target == simbolic)
          {
           Frame fb=new Frame();                 //(parent,frame,  title,     modal)
//           SimbolicSetting s = new SimbolicSetting(this,fb,"Simbolic Settings",true);
           SimbolicDialog s = new SimbolicDialog(this,fb,"Simbolic Dialog",true);
           s.setSize(750,400);
           s.show();
          }
        if (target == stepByStep)
        {Frame fc=new Frame();                 //(parent,frame,  title,     modal)
         StepByStep st = new StepByStep(this,fc,"Step by step processing",false);
         st.show();
        }
        if (target == modebutton)
         {
            edit = !edit;
            modebutton.setLabel((edit ? "Simulate" : "Edit"));
            modelabel.setText((edit ? " Editing circuit..." : " Simulating circuit..."));
            boxedArea.repaint();
            return true;
         }
        if (target == seqbutton)
        {
        sequential = !sequential;
         modelabel.setText((edit ? " Editing circuit..." : " Simulating circuit..."));
        if (sequential)
          seqbutton.setLabel("Change to Combinate");
         else
          seqbutton.setLabel("Change to Sequential");

        int n=(Integer.parseInt(choicevar2.getSelectedItem()));
        if (n>0)
         boxedArea.removeRing(-n);
        choicevar2.select(0);
        numRingvar=0;
        boxedArea.repaint();
        }
        return false;
     }

  public Circuit()
  {
    try  {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception
  {
    this.setBackground(new java.awt.Color(192, 223, 255));
  }

}

class BoxedArea extends Panel
 {  Circuit controller;
    public CoordinateArea coordinateArea;

    public BoxedArea(Circuit controller)
     {
      super();
      this.controller=controller;
      setLayout(new GridLayout(1,0));
      add(coordinateArea = new CoordinateArea(controller));
      validate();
     }

    public void delete()
    {
      coordinateArea.ChangeStateDelete();
    }

    public void refresh()
    {
     coordinateArea.CircuitRefresh();
    }


    public void add(int n)
     {
      coordinateArea.addVariable(n);
     }

    public void remove(int n)
     {
      coordinateArea.removeVariable(n);
     }


   public void addRing(int n)
     {
      coordinateArea.addRingVariable(n);
     }

   public void addOut(int n)
     {
      coordinateArea.addOutVariable(n);
     }

   public void removeOut(int n)
     {
      coordinateArea.removeOutVariable(n);
     }

    public void removeRing(int n)
     {
      coordinateArea.removeRingVariable(n);
     }

    public void paint(Graphics g)
     {
      coordinateArea.repaint();
     }
}

class MessaggioWarning extends Dialog
{
Label messaggio;
Button closebutton;
Button undobutton;
Circuit controller;

// this method produces a message of warning (just one button)
public MessaggioWarning(Circuit controller, Frame parent,String msg,String close)
{
 super(parent,"Warning",true);
 this.controller=controller;
 setLayout(new FlowLayout() );
 setSize(140,95);
 setLocation(300,300);
 setBackground(Color.white);
 messaggio=new Label(msg,Label.CENTER);
 closebutton=new Button(close);
 add(messaggio);
 add(closebutton);
}

// message of warning with two buttons (refresh and close)

public MessaggioWarning(Circuit controller, Frame parent, String msg,String refresh,String close)
{
super(parent,"Warning",true);
this.controller=controller;
//setLayout(new GridLayout(2,1));

setLayout(new FlowLayout());
setSize(140,95);
setLocation(300,300);
setBackground(Color.white);
messaggio=new Label(msg,Label.CENTER);
closebutton=new Button(close);
undobutton=new Button(refresh);
add(messaggio);
add(undobutton);
add(closebutton);
}

public Insets insets()
 {
  return new Insets(20,10,20,10);
 }

public boolean action(Event e, Object arg)
     {
        Object target = e.target;
        if (target == closebutton)
         {
          setVisible(false);
          return true;
         }
		 if (target == undobutton)
		 {
		 controller.boxedArea.refresh();
		 setVisible (false);
		 return true;
		 }
        return false;
     }

}

class ChooseInputState extends Dialog
{
Label messaggio;
Button closebutton;
Choice c=new Choice();
Button undobutton;
Circuit controller;

// this method produces a message of warning (just one button)
public ChooseInputState(Circuit controller, Frame parent,String msg,String close)
{
 super(parent,"Choose Input",true);
 this.controller=controller;
 setLayout(new FlowLayout() );
 setSize(280,195);
 setLocation(300,300);
 setBackground(Color.white);
 messaggio=new Label(msg,Label.CENTER);
 closebutton=new Button(close);
 c=controller.boxedArea.coordinateArea.simbolicInputList;
 add(messaggio);
 add(c);
 add(closebutton);
}

// message of warning with two buttons (refresh and close)

/*public ChooseInputState(Circuit controller, Frame parent, String msg,String refresh,String close)
{
super(parent,"Choose Input",true);
this.controller=controller;
//setLayout(new GridLayout(2,1));
setLayout(new FlowLayout());
setSize(380,195);
setLocation(300,300);
setBackground(Color.white);
messaggio=new Label(msg,Label.CENTER);
closebutton=new Button(close);
add(messaggio);
add(closebutton);
}*/

// public Insets insets()
//  {
//   return new Insets(30,20,30,20);
//  }

 public boolean action (Event e, Object arg)
     {
      Object target = e.target;
        if (target == c)
         {
          boolean v=false;
          controller.boxedArea.coordinateArea.simbolicInput =  c.getSelectedItem();
          int number = c.getSelectedIndex();
          int q = number;
          int i;
          for (i= controller.boxedArea.coordinateArea.gates.size()-1; i>=0; i--)
           { Gate temp=(Gate) controller.boxedArea.coordinateArea.gates.elementAt(i);
             while(!temp.isVariable())
               {
                i--;
                if(i<0) break;
                temp=(Gate) controller.boxedArea.coordinateArea.gates.elementAt(i);
               }
             if(i>=0)
              {
               v=(( (q%2)==1) ?true:false);
               if (temp.inputValue(1)!=v)
                  temp.changeInputState(1);
               q=q/2;
              }
            }
          controller.boxedArea.repaint();
          setVisible(false);
          return true;
         }

        if (target == closebutton)
         {
          setVisible(false);
          return true;
         }
        return false;
     }
}



class CoordinateArea extends Canvas
{
    Point point = null;
    Circuit controller;
    Gate gate = null;
    Vector gates = new Vector();          // Vector for all the gates in circuit
    Vector wires = new Vector();         // Vector for all the wires in circuit
    Vector inputName = new Vector();
    Vector outputName = new Vector();
    Vector stateName = new Vector();
    String simbolicInput = new String();
    String simbolicState= new String();
    String simbolicOutput=new String();
    Choice simbolicInputList=new Choice();
    private final int POINTING = 0;
    private final int GATEPLACE = 1;
    private final int GATECONNECT = 2;
    private final int GATEDELETE = 3;
    private int editmode = POINTING;
    private Gate inputgate = null;     // input selected for the connection
    private Gate outputgate = null;   // output selected for the connection
	  public Gate inGate = null;
    private int inputpinnum;
    private int outputpinnum;
    private int x, y;                //coordinates of canvas
    private Dialog fin;

   public CoordinateArea(Circuit controller)
    {
        super();
        this.controller = controller;
    }


 public void ChangeStateDelete()
  {
   Cursor cross_cur = new Cursor(Cursor.CROSSHAIR_CURSOR);
   if(gates.size()>0)
    {
	     controller.modelabel.setText(" DELETE MODE");
       editmode=GATEDELETE;
  	   setCursor(cross_cur);
    }
    else
     {
        Frame fb=new Frame();
        MessaggioWarning rfr=new MessaggioWarning(controller, fb,"No Gate to delete","ok");
        rfr.show();
     }
   repaint();
  }

  public void CircuitRefresh()
  {
  gate=null;
  gates.removeAllElements();
  wires.removeAllElements();
  controller.numvar = 0;
  controller.numRingvar = 0;
  controller.numOutvar = 0;
  controller.choicevar1.select(0);
  controller.choicevar2.select(0);
  controller.choicevar3.select(0);
  if (controller.edit == false)
    {
      controller.edit=true;
      controller.modelabel.setText((controller.edit ? " Editing circuit..." : " Simulating circuit..."));
    }
   editmode=POINTING;
   repaint();
  }

 public void gateDelete(Gate g,int index,boolean variable)
  {
  Gate gate_temp;
  Gate gate_selected=g;  //gate to delete
  String gateType = new String(g.getClass().getName());

  Wire tempwire = null; //wire connected to the gate to delete
  int i,j,indexoutset;

  for (j=0; (j<wires.size()); j++)  //DELETE OUT WIRE
      {
      tempwire = (Wire)wires.elementAt(j);
      if (tempwire.inGate == gate_selected)
       {
        wireDelete((Wire) wires.elementAt(j));
        j--;
       }
	  }
  for (j=0; (j<wires.size()); j++)
      {
      tempwire = (Wire)wires.elementAt(j);
      if (tempwire.outGate == gate_selected)
       {
        wireDelete((Wire) wires.elementAt(j));
        j--;
       }
	  }
  if(gate_selected.isVariable() && !variable)
    {
      controller.modelabel.setText((controller.edit ? " Editing circuit..." : " Simulating circuit..."));
      return;
    }
  for (i = 0 ; i < gates.size() ; i++)    //check if gate_selected is in the outset1 of another gate
			 {gate_temp=((Gate) gates.elementAt(i));
				for(indexoutset=0; indexoutset<gate_temp.outset1.size(); indexoutset++)
         if (gate_temp.outset1.elementAt(indexoutset)==gate_selected)
          {
           gate_temp.outset1.removeElementAt(indexoutset);  // remove the gate from outset
           indexoutset--;                                   // come back to check all outset's gate
          }
 				for(indexoutset=0; indexoutset<gate_temp.outset2.size(); indexoutset++)
					if (gate_temp.outset2.elementAt(indexoutset)==gate_selected)
           {
						gate_temp.outset2.removeElementAt(indexoutset); // remove the gate from outset
            indexoutset--;                                  // come back to check all outset's gate
           }
			 }
	for(indexoutset=0; indexoutset<gate_selected.outset1.size(); indexoutset++)
				for(i=0; i<gates.size(); i++)
				 {gate_temp=(Gate) gates.elementAt(i);
				  if(gate_temp.input1gate==gate_selected)
					gate_temp.input1gate=null;
					else if(gate_temp.input2gate==gate_selected)
           	      gate_temp.input2gate=null;
                  else if(gate_temp.input3gate==gate_selected)
           	            gate_temp.input3gate=null;
				}
  for(indexoutset=0; indexoutset<gate_selected.outset2.size(); indexoutset++)
				for(i=0; i<gates.size(); i++)
				 {gate_temp=(Gate) gates.elementAt(i);
				  if(gate_temp.input1gate==gate_selected)
					gate_temp.input1gate=null;
          else if(gate_temp.input2gate==gate_selected)
           	      gate_temp.input2gate=null;
                  else if(gate_temp.input3gate==gate_selected)
           	            gate_temp.input3gate=null;
				}
   gates.removeElementAt(index);
   controller.modelabel.setText((controller.edit ? " Editing circuit..." : " Simulating circuit..."));

 }


 public void wireDelete(Wire w)
  {
  Gate temp = null;
  Wire tempwire= null;
  int index;
  Cursor def_cur = new Cursor(Cursor.DEFAULT_CURSOR);

  for (index = 0; (index< w.inGate.outset1.size()) && (temp!= w.outGate); index ++)
     temp = (Gate) (w.inGate.outset1.elementAt(index));

  if (temp != null)
  {
   index--;
   w.inGate.outset1.removeElementAt(index);
  }
  if (w.outputpin==1)  w.outGate.input1gate = null;
  if (w.outputpin==2)  w.outGate.input2gate = null;
  if (w.outputpin==3)  w.outGate.input3gate = null;

  for (index=0; (index < wires.size()) && (tempwire!= w); index ++)
       tempwire = (Wire) (wires.elementAt(index));
  index --;
  wires.removeElementAt(index);
  editmode=POINTING;
  setCursor(def_cur);
  }

  public void addVariable(int n)
  {
     for(int i=(controller.numvar-n);i<controller.numvar;i++)
        gates.addElement(new Variable(i,1,this));
  }

  public void addRingVariable(int n)
  {
     for(int i=(controller.numRingvar-n);i<controller.numRingvar;i++)
        gates.addElement(new RingVariable(13, i+11, this));
  }

public void addOutVariable(int n)
  {
     for(int i=(controller.numOutvar-n);i<controller.numOutvar;i++)
        gates.addElement(new OutVariable(14, i+5, this));
  }


  public void removeVariable(int n)
   { int index;
     boolean variable=true;
       for (index = gates.size() - 1; n<0; index--)
         if (((Gate) gates.elementAt(index)).isVariable())
           {
            gateDelete(((Gate) gates.elementAt(index)),index,variable);
            n++;
           }
   }

  public void removeRingVariable(int n)
   { int index;
   Gate g=null;
     boolean variable=true;
       for (index = gates.size() - 1; n<0; index--)
         {
          g=(Gate) gates.elementAt(index);
          if (g.isRingVariable())
            {
             gateDelete(((Gate) gates.elementAt(index)),index,variable);
             n++;
            }
         }
   }

 public void removeOutVariable(int n)
  { int index;
    String s=new String("OutVariable");
   Gate g=null;
     boolean variable=true;
       for (index = gates.size() - 1; n<0; index--)
         {
          g=(Gate) gates.elementAt(index);
          if (s.compareTo(g.getClass().getName())==0)
            {
             gateDelete(((Gate) gates.elementAt(index)),index,variable);
             n++;
            }
         }
   }

  public boolean mouseDown(Event event, int x, int y)
    {Wire tempwire=null;
     Gate temp = null;
     int index;
     Cursor default_cur = new Cursor(Cursor.DEFAULT_CURSOR);
     Cursor move_cur = new Cursor(Cursor.MOVE_CURSOR);
     Cursor cross_cur = new Cursor(Cursor.CROSSHAIR_CURSOR);

     if (point == null)
        {
         point = new Point(x, y);
        }
        else
            {
             point.x = x;
             point.y = y;
            }
     if (controller.edit)
        {
            switch (editmode)
            {                // which state?
                case POINTING:
								setCursor(default_cur);
                case GATECONNECT:
                    if (y < 25) {         //in the tool bar
                        int position = x / 50; // what has been clicked?
                        switch (position)
                        {
                            case 0:                                              // text
                                break;
                            case 1:                                             // an And Gate
                                gate = new AndGate(point, this);
                                inputgate = null;
                                outputgate = null;
                                editmode = GATEPLACE;
                                break;
                            case 2:       										//an  Or Gate
                                gate = new OrGate(point,this);
                                inputgate = null;
                                outputgate = null;
                                editmode = GATEPLACE;
                                break;
                            case 3:       										// a Not Gate
                                gate = new NotGate(point,this);
                                inputgate = null;
                                outputgate = null;
                                editmode = GATEPLACE;
                                break;
                            case 4:       										// a Not Gate
                                gate = new MultiAndGate(point,this);
                                inputgate = null;
                                outputgate = null;
                                editmode = GATEPLACE;
                                break;
                            case 5:       										// a Not Gate
                                gate = new MultiOrGate(point,this);
                                inputgate = null;
                                outputgate = null;
                                editmode = GATEPLACE;
                                break;
							case 6:                                             //the delete button
							    controller.boxedArea.delete();
								break;
							case 7:                                             // the refresh button
							     Frame fb=new Frame();
                                 MessaggioWarning rfr=new MessaggioWarning(controller, fb,"RESET CIRCUIT ?","YES","NO");
                                 rfr.show();
								 break;
                      			default:                                        // nothing
                              setCursor(default_cur);
  														break;
			                  }
                    }
                    else               // (under toolbar) work (draw) area
                       {
                        if (gates.size() > 0)  // if Vector isn't empty
                         {String invar=new String("Variable");
                          String outvar=new String("OutputVariable");
                          String ringvar=new String("RingVariable");

                            for (index = 0;
                                 (index < gates.size()) && (temp == null);index++)  // for all the gates in circuit
                                   {temp = ((Gate) gates.elementAt(index)).selected(point);
                                    if(temp != null)
                                       if((temp.selectedLocation(point)==0) &&
                                         ( (invar.compareTo(temp.getClass().getName())==0)|
                                           (outvar.compareTo(temp.getClass().getName())==0)|
                                           (ringvar.compareTo(temp.getClass().getName())==0)
                                           )
                                          ) temp=null;

                                   }
                              if (temp != null)    // if a gate has been selected
                              {
                               if (temp.isVariable ()) // if the selected gate is a Variable
                               {
                               switch (temp.selectedLocation(point))
                                {
                                case 3:                                 // selected output pin 1
                                        if (temp != inputgate)  // not feeding back from own input
                                          {
                                            outputgate = temp; // set output pin of connection
                                            outputpinnum = 1;
                                            if (inputgate == null) // if the input gate is not selected
                                                editmode = GATECONNECT; // then wait for selection of second gate
                                            else // otherwise it is already selected so complete the connection
                                                connect();
                                          }
                                        break;
                                    case 4: // selected output pin 2
                                         if //((outputgate == null) && // the output gate cannot be selected already
                                            (temp != inputgate)//)  // not feeding back from own input
                                           {
                                            outputgate = temp; // set output pin of connection
                                            outputpinnum = 2;
                                            if (inputgate == null) // if the input gate is not selected
                                                {
                                                 editmode = GATECONNECT;  // then wait for selection of second gate
                                                }
                                            else // otherwise it is already selected so complete the connection
                                                {
                                                connect();
                                                }
                                        }
                                        break;
                                 } //end switch
                               } // end if temp is variable
                                else //the selected gate isn't a variable
                                {
                                 switch (temp.selectedLocation(point))
                                 {
                                    case 1: // selected input pin 1

                                        if ((inputgate == null) && // not an input pin-to-input pin connection
                                            (temp != outputgate) && // not feeding back from own output
                                            (temp.input1gate == null))  // input not already connected
                                           {
                                            inputgate = temp; // set input pin of connection
                                            inputpinnum = 1; // set input pin number
                                           }
                                           if (outputgate==null)
                                            {
                                             editmode=GATECONNECT;
                                            }
                                            else // otherwise it is already selected so complete the connection
                                             {
                                              connect();
                                             }
                                             break;
                                    case 2: // selected input pin 2
                                            if ((inputgate == null) && // the input gate cannot be selected already
                                                (temp != outputgate) && // not feeding back from own output
                                                (temp.input2gate == null)) // input not already connected
                                               {
                                                inputgate = temp; // set input pin of connection
                                                inputpinnum = 2; // set input pin number
                                                if (outputgate == null)
                                                    editmode = GATECONNECT;
                                                else connect();   // otherwise it is already selected so complete the connection
                                               }
                                            break;
                                    case 3: // selected output pin 1
                                        if ((outputgate == null) && // the output gate cannot be selected already
                                            (temp != inputgate))   // not feeding back from own input
                                          {
                                            outputgate = temp; // set output pin of connection
                                            outputpinnum = 1;
                                            if (inputgate == null) // if the input gate is not selected
                                                editmode = GATECONNECT; // then wait for selection of second gate
                                              else connect(); // otherwise it is already selected so complete the connection
                                          }
                                        break;
                                  case 4: // selected input pin 3
                                            if ((inputgate == null) && // the input gate cannot be selected already
                                                (temp != outputgate) && // not feeding back from own output
                                                (temp.input3gate == null)) // input not already connected
                                               {
                                                inputgate = temp; // set input pin of connection
                                                inputpinnum = 4; // set input pin number
                                                if (outputgate == null)
                                                    editmode = GATECONNECT;
                                                else connect();   // otherwise it is already selected so complete the connection
                                               }
                                            break;
                                    default:              // selected something unknown
                                    if (temp != null)    // if a gate has been selected
                                     {String s= new String("RingVariable");

                                      if (s.compareTo(temp.getClass().getName())!=0)
                                      {
                                       inputgate=null;
                                       outputgate=null;
                                       gate=temp;
                                       gates.removeElementAt(index-1);
                                       editmode=GATEPLACE;
                                      }
                                     }
                                     break;
                                 }//end switch
                                }// end else no gate / but variable
                            } //end if temp!=null
                         }        //end if gates.size>0
                        }//end else
               break;
                case GATEPLACE:           // placing a gate somewhere
                    for (index = 0;       // check to see if we are on top of another gate
                        (index < gates.size()) &&
                        !((((Gate) gates.elementAt(index)).x == gate.x) &&
                         (((Gate) gates.elementAt(index)).y == gate.y)) &&
                         (gate.x > controller.numvar-1)/* && (gate.y > 1)*/; index++);
                     if (index == gates.size())  // if we aren't on top of another gate
                     {
                        gates.addElement(gate); // add the gate to the circuit

                        gate = null;      // no gate selected now
												setCursor(default_cur);
                        editmode = POINTING; // back to pointing mode
                     }
                    break;
                case GATEDELETE:
                if (wires.size() > 0)
                        {
                         for (index = 0;(index < wires.size()) && (tempwire == null);index++)  // for all the gates in circuit
                            tempwire = ((Wire) wires.elementAt(index)).selectedWire(point.x,point.y);
                         if (tempwire!=null)
                          {
                           wireDelete(tempwire);
                           repaint();
                           break;
                          }
                        }
                 int xgate,ygate,index1,indexoutset,i;            // index all gates in circuit
                 boolean variable=false;
		             Gate gate_temp=null, gate_selected=null;
                     xgate = point.x / 50 +   // find x grid coordinate
                     ((((point.x / 50) % 2) == 0) ? 1 : 0);
                     ygate = point.y / 25 +  // find y grid coordinate
                     ((((point.y / 25) % 2) == 0) ? 1 : 0);

			          for (index1 = 0;
                     (index1 < gates.size()) &&
                      !((((Gate) gates.elementAt(index1)).x == xgate) &&
                      (((Gate) gates.elementAt(index1)).y == ygate));
                      index1++);
			          gate_selected=(index1==gates.size()?null:((Gate) gates.elementAt(index1)));

      	        if(gate_selected!=null) gateDelete(gate_selected,index1,variable);
                setCursor(default_cur);
                controller.modelabel.setText((controller.edit ? " Editing circuit..." : " Simulating circuit..."));
                editmode=POINTING;
                repaint();
                break;
             }
        }

        else {
        if (y<25)                  // SIMULATE MODE
             {
              if (x>251 && x<350)
               {
                Frame fb=new Frame();
                if (inputName.size()==0)
                {
                 MessaggioWarning rfr=new MessaggioWarning(controller,fb,"No Input set","OK");
                 rfr.show();
                }
                 else
                 {
                  ChooseInputState rfr=new ChooseInputState(controller,fb,"Choose Input","CANCEL");
                  rfr.show();
                 }
               }
             }
             else
             {
              setCursor(default_cur);
              editmode=POINTING;            // simulating the circuit
              int input = 0;                // input number selected
              Gate tg=null;
              String ring = new String("RingVariable");

              if (controller.sequential && y>358 && x>100 && y<380)
               {
                for (index = 0;index< gates.size();index++)
                  {tg=(Gate) gates.elementAt(index);
                   if(ring.compareTo(tg.getClass().getName())==0)
                        tg.compute();
                  }
                repaint();
               }
              for (index = 0;               // check to see if an input was selected (>0)
                  (index < gates.size()) && (input == 0);
                   index++)
                  {
                   input = ((Gate) gates.elementAt(index)).inputSelected(point); // which input pin?
                   if (input > 0)
                    {
                       if (input == 1)         // if pin number =1
                         {
                         if (((Gate) gates.elementAt(index)).input1gate == null)  // can't be connected to another gate
                            {
                               ((Gate) gates.elementAt(index)).changeInputState(input); // change the value
                               repaint();    // redraw
                            } // end if
                         }  //end if input==1
                       else
                        if (input==2)                // if pin number 2
                         {
                           if (((Gate) gates.elementAt(index)).input2gate == null)  // can't be connected to another gate
                              {
                               ((Gate) gates.elementAt(index)).changeInputState(input); // change the value
                                repaint();    // redraw
                              }
                          } else if (input==4)
                                 {
                                 if (((Gate) gates.elementAt(index)).input3gate == null)  // can't be connected to another gate
                                    {
                                     ((Gate) gates.elementAt(index)).changeInputState(input); // change the value
                                      repaint();    // redraw
                                    }
                                 }
                  } //end if input > 0
                }   // end for
             } // end else
           } // end else
        return false;                     // pass event to parent
    }

    public boolean mouseMove(Event event, int x, int y) { // the mouse moved
        if (controller.edit) {            // if edit mode
            updateGridCoords(x, y);       // move a gate around the grid
              if (editmode == GATECONNECT) { // if connecting up gates
                this.x = x;               // set the x for the wire
                this.y = y;               // set the y for the wire
                repaint();                // repaint
            }
        }
        return false;                     // pass event to parent
    }



    public void connect()             // makes a connection
     {
	     switch(inputpinnum)             // if input pin 1 was selected
        {
        case 1:
		      if (outputpinnum == 1)
           {
		        inputgate.input1gate = outputgate; // set the input1 variable
            outputgate.outset1.addElement(inputgate); // add the connection to the gate's outset
            wires.addElement(new Wire(this, outputgate,1,inputgate,1));// add the wires that connect two gates
            if (inputgate.inputValue(inputpinnum) != outputgate.outputValue(1))  // if output value needs adjusting
               inputgate.changeInputState(inputpinnum); // propogate the value
           }
          if(outputpinnum == 2)
           {
            inputgate.input1gate = outputgate; // set the input2 variable
            inputgate.input1isnotvariable=true; // we are connected to the negative variable
            outputgate.outset2.addElement(inputgate); // add the connection to the gate's outset
            wires.addElement(new Wire(this, outputgate,2,inputgate,1));
            if (inputgate.inputValue(inputpinnum) != outputgate.outputValue(2))  // if output value needs adjusting
               inputgate.changeInputState(inputpinnum); // propogate the value
           }break;  // end if input 1
         case 2:                        // else if input pin 2 was selected
          if (outputpinnum == 1)
             {
               inputgate.input2gate = outputgate; // set the input2 variable
               outputgate.outset1.addElement(inputgate); // add the connection to the gate's outset
               wires.addElement(new Wire(this, outputgate,1,inputgate,2));
               if (inputgate.inputValue(inputpinnum) != outputgate.outputValue(1))  // if output value needs adjusting
               inputgate.changeInputState(inputpinnum); // propogate the value
             }
            if (outputpinnum == 2)
            {
               inputgate.input2gate = outputgate;        // set the input2 variable
               inputgate.input2isnotvariable=true; //we are connected to the negative variable
               outputgate.outset2.addElement(inputgate); // add the connection to the gate's outset
               wires.addElement(new Wire(this, outputgate,2,inputgate,2));
               if (inputgate.inputValue(inputpinnum) != outputgate.outputValue(2))  // if output value needs adjusting
               inputgate.changeInputState(inputpinnum);  // propogate the value
            }
            break;
          case 4:  // case input 3
          if (outputpinnum == 1)
             {
               inputgate.input3gate = outputgate; // set the input2 variable
               outputgate.outset1.addElement(inputgate); // add the connection to the gate's outset
               wires.addElement(new Wire(this, outputgate,outputpinnum,inputgate,3));
               if (inputgate.inputValue(inputpinnum) != outputgate.outputValue(outputpinnum))  // if output value needs adjusting
               inputgate.changeInputState(inputpinnum); // propogate the value
             }
            if (outputpinnum == 2)
            {
               inputgate.input3gate = outputgate;        // set the input2 variable
               inputgate.input3isnotvariable=true; //we are connected to the negative variable
               outputgate.outset2.addElement(inputgate); // add the connection to the gate's outset
               wires.addElement(new Wire(this, outputgate,outputpinnum,inputgate,3));
               if (inputgate.inputValue(inputpinnum) != outputgate.outputValue(outputpinnum))  // if output value needs adjusting
               inputgate.changeInputState(inputpinnum);  // propogate the value
            }
            break;
         }
        inputgate = null;                 // reset to null (nothing selected)
        outputgate = null;                // reset to null (nothing selected)
        editmode = POINTING;              // change the mode back to pointing
        repaint();                        // update the screen

    } // end of method

    private void updateGridCoords(int x, int y) { // snap x, y to grid coordinates
        boolean change = false;           // did we make a change?
        Wire tempwire=null;
        int indexwire=0;
        if (gate != null) {               // if there is a gate being dragged
            if ((x / gate.width +         // find x grid coordinate
                ((((x / gate.width) % 2) == 0) ? 1 : 0)) != gate.x) {
                gate.x = x / gate.width +
                    ((((x / gate.width) % 2) == 0) ? 1 : 0);
                change = true;            // a change was made
            }
            if ((y / gate.height +        // find y grid coordinant
                ((((y / gate.height) % 2) == 0) ? 1 : 0)) != gate.y) {
                gate.y = y / gate.height +
                    ((((y / gate.height) % 2) == 0) ? 1 : 0);
                change = true;            // a change was made
            }
        }
        if (change)
        {                    // if a change was made
         for(indexwire=0;indexwire<wires.size();indexwire++)
           {tempwire=(Wire) wires.elementAt(indexwire);
            if((tempwire.inGate == gate) | (tempwire.outGate==gate))
              tempwire.updateWireCoords();
           }
            repaint();                    // then redraw the screen
        }
    }

    public void paint(Graphics g)          // draw all the gates
    {
        int index;                        // index through all gates
        int adjust=0;

        Dimension dimension = new Dimension();
        dimension= this.getSize();

        g.drawRect(0, 0, dimension.width - 1, dimension.height - 1); // draw bounding box

        // for each gate
        for(index = 0; index < gates.size(); index++)
            ((Gate) gates.elementAt(index)).paintGate(g); // draw the gate

        for(index = 0; index < wires.size(); index++)
            ((Wire) wires.elementAt(index)).paintBN(g); // draw the wire (only black)

        // if in edit mode
        if (controller.edit)
         {
            paintEditArea(g);             // draw the tool bar
            if (gate != null)             // if we are dragging a gate
                gate.paintGate(g);        // draw the gate
            if (editmode == GATECONNECT)  // if connecting a gate
             {
                Gate temp = null;
                g.setColor(Color.white);

                if(outputgate!=null)
                if (inputgate==null && !(outputgate.isVariable())&& !(outputgate.isRingVariable()))      // else we selected an output pin already
                         g.drawLine(outputgate.x * outputgate.width + 45, // draw a connection line
                                     outputgate.y * outputgate.height + 12,x, y);

                      else
                      if (outputgate.isVariable())
                      { int yvar= outputgate.y * y;
                        if  (yvar<62) yvar=62;
                        if (outputpinnum == 1)
                             g.drawLine (outputgate.x * outputgate.width + 10, yvar, x, y);

                        if (outputpinnum == 2)
                             g.drawLine (outputgate.x * outputgate.width + 20, yvar, x, y);
                      }
                      else if (outputgate.isRingVariable())
                           {
                            int xr=(controller.numvar==0)?15:controller.numvar*50-7;
                            g.drawLine (xr, outputgate.y * outputgate.height+1, x, y);
                           }
                if(outputgate==null)
                 {adjust= (inputgate.not)? 6:0;
                  switch (inputpinnum)
                   {case 1:   // and if it is pin number 1
                           g.drawLine(inputgate.x * inputgate.width, // draw a connection line
                                      inputgate.y * inputgate.height + 6 + adjust,
                                       x, y);break;
                    case 2:   // else draw a connection line from pin number 2
                           g.drawLine(inputgate.x * inputgate.width, // draw a connection line
                                     inputgate.y * inputgate.height + 18,
                                     x, y);break;
                    case 4:   // else draw a connection line from pin number 2
                           g.drawLine(inputgate.x * inputgate.width, // draw a connection line
                                     inputgate.y * inputgate.height + 12,
                                     x, y);break;
                   }
                 g.setColor(Color.black);
                 }
         }
        }
        else // else we are in simulate mode
            {
            this.paintSimbolicArea(g);
            for(index = 0; index < wires.size(); index++)
               ((Wire) wires.elementAt(index)).paintcolor(g); // draw the wire (red if set=1)
            for(index = 0; index < gates.size(); index++) // so display all the values
                {
                 Gate gate=((Gate) gates.elementAt(index));
                 gate.paintValues(g); // for each gate display values
                }
            }
        if (controller.sequential)
            this.paintRect(g);
    }


    public void paintEditArea(Graphics g)   // draw the tool bar
     {
        Dimension dimension = new Dimension();     // get the dimensions
        dimension= this.getSize();
        g.drawLine(0, 25, dimension.width - 1, 25); // draw a horizontal line
        g.setFont(new Font("Helvetica", Font.PLAIN, 10)); // set a font
        g.drawString("Click to ", 3, 11);       // display:  Add
        g.drawString("Add Gate:", 3, 23);     // display:  Gate
        AndGate andGate = new AndGate(1, 0,this); // make the and gate
        andGate.paintGate(g);             // draw the and gate
        OrGate orGate = new OrGate(2, 0,this); // make the or gate
        orGate.paintGate(g);              // draw the or gate
        NotGate notGate = new NotGate(3, 0,this); // make the not gate
        notGate.paintGate(g);             // draw the not gate
        MultiAndGate multiAndGate = new MultiAndGate(4, 0,this); // make the not gate
        multiAndGate.paintGate(g);             // draw the not gate
        MultiOrGate multiOrGate = new MultiOrGate(5, 0,this); // make the not gate
        multiOrGate.paintGate(g);             // draw the not gate
		g.setColor (Color.lightGray);
		g.fill3DRect(300, 1, 50, 23, true);
		g.fill3DRect (350, 1, 50, 23, true);
		g.setFont(new Font("Helvetica", Font.PLAIN, 13));
		g.setColor (Color.black);
		g.drawString("Delete", 304, 17);
        g.drawString("Refresh", 353, 17);
    }

    public void paintSimbolicArea(Graphics g)   // draw the tool bar
     {
        Dimension dimension = new Dimension();     // get the dimensions
        dimension= this.getSize();
        g.drawLine(0, 25, dimension.width - 1, 25); // draw a horizontal line
        g.setFont(new Font("Helvetica", Font.PLAIN, 10)); // set a font
        g.drawString("Input: "+simbolicInput,10,18);
       // g.draw3DRect(251,3,98,20,false);
		g.setColor (Color.lightGray);
		g.fill3DRect(251, 1, 98, 24, true);
		g.setColor (Color.black);
        g.drawString("Choose Input",272,18);
        g.drawString("Internal state: "+simbolicState,400,18);
        g.drawString("Output: "+simbolicOutput,600,18);
		

     }

    public void paintRect(Graphics g)
    {
    int x = (controller.numvar)* 50;
    g = this.getGraphics();
    if (controller.numvar==0)
       {
        g.drawRect (x + 20, 40,625, 315);
        int xr=x+20;
        int clocksx=625/2-50;
        int clockdx=625/2+50;
          g.drawString("Register",(clockdx+clocksx)/2,375);
          Polygon tube=new Polygon();
          tube.addPoint(xr-10 ,350);
          tube.addPoint(xr-5  ,350);
          tube.addPoint(xr-5  ,367);
          tube.addPoint(xr+clocksx,367);
          tube.addPoint(xr+clocksx,358);
          tube.addPoint(xr+clockdx,358);
          tube.addPoint(xr+clockdx,367);
          tube.addPoint(xr+630,367);
          tube.addPoint(xr+630,350);
          tube.addPoint(xr+635,350);
          tube.addPoint(xr+635,372);
          tube.addPoint(xr+clockdx,372);
          tube.addPoint(xr+clockdx,380);
          tube.addPoint(xr+clocksx,380);
          tube.addPoint(xr+clocksx,372);
          tube.addPoint(xr-10 ,372);
          g.drawPolygon(tube);
          Polygon arrow=new Polygon();
          arrow.addPoint(xr+clockdx-5,370);
          arrow.addPoint(xr+clockdx+15,362);
          arrow.addPoint(xr+clockdx+15,377);
          g.setColor(new java.awt.Color(192, 223, 255));
          g.fillPolygon(arrow);
          g.setColor(Color.black);
          g.drawPolygon(arrow);
       }

    else
        {

         g.drawRect (x-5, 40,650-x, 315);
         int xr=x-5;
         int clocksx=(650-x)/2-50;
         int clockdx=(650-x)/2+50;

         g.drawString("Register",xr+(clockdx+clocksx)/2-20,375);

         Polygon tube=new Polygon();

          tube.addPoint(xr-10 ,350);
          tube.addPoint(xr-5  ,350);
          tube.addPoint(xr-5  ,367);
          tube.addPoint(xr+clocksx,367);
          tube.addPoint(xr+clocksx,358);
          tube.addPoint(xr+clockdx,358);
          tube.addPoint(xr+clockdx,367);
          tube.addPoint(xr+655-x,367);
          tube.addPoint(xr+655-x,350);
          tube.addPoint(xr+660-x,350);
          tube.addPoint(xr+660-x,372);
          tube.addPoint(xr+clockdx,372);
          tube.addPoint(xr+clockdx,380);
          tube.addPoint(xr+clocksx,380);
          tube.addPoint(xr+clocksx,372);
          tube.addPoint(xr-10 ,372);

          g.drawPolygon(tube);
          Polygon arrow=new Polygon();
          arrow.addPoint(xr+clockdx-5,370);
          arrow.addPoint(xr+clockdx+15,362);
          arrow.addPoint(xr+clockdx+15,377);
          g.setColor(new java.awt.Color(192, 223, 255));
          g.fillPolygon(arrow);
          g.setColor(Color.black);
          g.drawPolygon(arrow);
        }


    }

}



abstract class Gate {                     // superclass for gates
    public int width = 50;                // all have width of 50
    public int height = 25;               // all have height of 25
    public boolean not = false;           // set true for not gates
//	public boolean isconnected = false; //set true if gate is connected
    public Gate input1gate = null;        // no input pin connections yet
    public Gate input2gate = null;        // no input pin connections yet
    public Gate input3gate = null;        // no input pin connections yet
    public boolean input1isnotvariable = false;  // is connect to variable or negate variable
    public boolean input2isnotvariable = false;
    public boolean input3isnotvariable = false;
    public Vector outset1 = new Vector();  // set of output connections
    public Vector outset2 = new Vector();
    public int x;                         // x grid location
    public int y;                         // y grid location


    abstract public void changeInputState(int input); // toggle input values
    abstract public boolean inputValue(int inputnum); // check input values
    abstract public boolean outputValue(int pinnum);// check output value
    abstract public Point scaleLocation(int x, int y); // given grid coordinates
    abstract public void compute();       // compute the gate function
    abstract public boolean isVariable (); // check if the gate is a In Variable
    abstract public boolean isRingVariable (); // check if the gate is a RingVariable
    abstract public boolean isOutVariable (); // check if the gate is a OutVariable
    abstract public Gate selected(Point point); // does point select this gate
    abstract public int selectedLocation(Point point); // which part of gate is selected?
    abstract public int outputSelected(Point point); // is an output being selected?
    abstract public int inputSelected(Point point); // which input pin is selected?
    abstract public void paintGate(Graphics g); // draw the gate and its connections
    abstract public void paintValues(Graphics g); // draw the pin values next to the pins
}

class Wire extends Polygon
{
 public Gate inGate = null;
 public Gate outGate = null;
 public boolean set= false;
 int inputpin,outputpin;
 Point sx=new Point();
 Point dx= new Point();
 CoordinateArea coordArea;

 public void updateWireCoords()
 {
  dx.x = outGate.x*outGate.width;
  if (outGate.not)
  dx.y =  outGate.y*outGate.height + 12;
  else
  switch (outputpin)
  {
  case 1:dx.y=outGate.y*outGate.height+6;break;
  case 2:dx.y=outGate.y*outGate.height+18;break;
  case 3:dx.y=outGate.y*outGate.height+12;break;
  }

  if (inGate.isVariable())
    {
     sx.x = inGate.x*inGate.width+(10*inputpin); //10 for inputpin=1, 20 for inputpin=2
     if (dx.y<60) sx.y = 60;                 // area over the variable
         else sx.y = dx.y;
    }
     else if (inGate.isRingVariable())
          {
           sx.x = (coordArea.controller.numvar==0)?15:coordArea.controller.numvar*50-7;
           sx.y = inGate.y*inGate.height;
          }
          else
          {
           sx.x = inGate.x*inGate.width+45;
           sx.y = inGate.y*inGate.height+12;
           }
  xpoints[0]=(sx.x);ypoints[0]=(sx.y+4);
  xpoints[1]=(sx.x);ypoints[1]=(sx.y-4);
  xpoints[2]=(dx.x);ypoints[2]=(dx.y-4);
  xpoints[3]=(dx.x);ypoints[3]=(dx.y+4);
  npoints=4;
 }

 public Wire(CoordinateArea c, Gate sxGate,int sxpin, Gate dxGate,int dxpin)
 {
  super();
  this.coordArea=c;
  inGate = sxGate;
  outGate = dxGate;
  inputpin = sxpin;
  outputpin = dxpin;
  set = inGate.outputValue(inputpin);   // wire's color
  dx.x = outGate.x*outGate.width;
  if (outGate.not)
     dx.y =  outGate.y*outGate.height + 12;
  else
  switch (outputpin)
  {
  case 1:dx.y=outGate.y*outGate.height+6;break;
  case 2:dx.y=outGate.y*outGate.height+18;break;
  case 3:dx.y=outGate.y*outGate.height+12;break;
  }

  if (inGate.isVariable())
    {
     sx.x = inGate.x*inGate.width+(10*sxpin); //10 for inputpin=1, 20 for inputpin=2
     if (dx.y<60) sx.y = 60;                 // area over the variable
         else sx.y = dx.y;
    }
     else if (inGate.isRingVariable())
          {
           sx.x = (coordArea.controller.numvar==0)?15:coordArea.controller.numvar*50-7;
           sx.y = inGate.y*inGate.height;
          }
          else
            {
             sx.x = inGate.x*inGate.width+45;
             sx.y = inGate.y*inGate.height+12;
            }

  xpoints[0]=(sx.x);ypoints[0]=(sx.y+4);
  xpoints[1]=(sx.x);ypoints[1]=(sx.y-4);
  xpoints[2]=(dx.x);ypoints[2]=(dx.y-4);
  xpoints[3]=(dx.x);ypoints[3]=(dx.y+4);
  npoints=4;
 }

 public void paintBN(Graphics g)
 {
  this.updateWireCoords();
  g.drawLine (sx.x, sx.y, dx.x, dx.y);
//  g.drawPolygon(this);
 }



public Wire selectedWire(int mouseX, int mouseY)
 {
 if (this.contains(mouseX,mouseY))
       return this;
 else return null;
 }

 public void paintcolor(Graphics g)
 {
 if (set) g.setColor(Color.red);
     g.drawLine (sx.x, sx.y, dx.x, dx.y);
 g.setColor(Color.black);
 }

}


class Variable extends Gate
{
CoordinateArea coordArea;
private boolean input1 = false;
private boolean output1 = input1;
private boolean output2 = !input1;
private String  name;


  public Variable(int x, int y, CoordinateArea ca)
  { this.coordArea=ca;
    width = 50;
    height = 500;
    this.x=x;
    this.y=y;
    name = "X  " +  x;
    compute();
  }

   public void changeInputState(int inputpinnum) // toggles input values
    {
        input1 = !input1;             // change input1's value
        compute();                       // compute the output value
        setSimbolicInput(coordArea.controller.numvar);
    }

  public void setSimbolicInput(int nVar)
  {int i,indice=0;
     for (i= 0; i<coordArea.gates.size() && nVar>0; i++)
       { Gate temp=(Gate) coordArea.gates.elementAt(i);
         while(!temp.isVariable())
         {
          i++;
          if(i<coordArea.gates.size())
          temp=(Gate) coordArea.gates.elementAt(i);

         }
        nVar=nVar-1;
        if (temp.inputValue(1))
        indice=indice+(int) Math.pow((double) 2,(double) nVar);
       }
     coordArea.simbolicInput=" " + indice;
     if (coordArea.inputName.size()>indice)
     {TextField t=(TextField) coordArea.inputName.elementAt(indice);
      coordArea.simbolicInput=t.getText();
     }
  }
  
 public Point scaleLocation(int x, int y) { // given grid coordinates
        return new Point(x * width, y + 25); // return pixel location
    }

   public boolean inputValue(int inputpinnum)  // given input pin number
    {
    return input1;                // return input1's value
    }

    public boolean outputValue(int pinnum)
    {
     if (pinnum == 1)
         return output1;
     return output2;
    }

    public void compute() {               // compute the and function
        Wire w=null;
        if (output1 != (input1))
        { 																// if output is incorrect
            output1 = (input1);  					// change its value
            output2 = !(input1);
            for(int index=0; index<coordArea.wires.size(); index++)
             {
              w= (Wire) coordArea.wires.elementAt(index);
              if(w.inGate==this)
               {
                if (w.inputpin==1) w.set=output1;
                 else w.set=output2;
               }
             }
            for (int index = 0; index < outset1.size(); index++) // for each gate in outset1
             {
                if (((Gate) outset1.elementAt(index)).input1gate == this) // if gate's input is connected to this output
                   {
                    if (((Gate) outset1.elementAt(index)).input1isnotvariable == false)
                     if (((Gate) outset1.elementAt(index)).inputValue(1) != // and the value is incorrect
                          outputValue(1))
                        ((Gate) outset1.elementAt(index)).changeInputState(1); // change the value

                   }
                if (((Gate) outset1.elementAt(index)).input2gate == this)  // else must be connected to input pin 2
                 {
                   if (((Gate) outset1.elementAt(index)).input2isnotvariable == false)
                    if (((Gate) outset1.elementAt(index)).inputValue(2) != // if value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(2); // change the value
                       }
                 }
                if (((Gate) outset1.elementAt(index)).input3gate == this)
                 {                    // else must be connected to input pin 3
                 if (((Gate) outset1.elementAt(index)).input3isnotvariable == false)
                    if (((Gate) outset1.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(4); // change the value
                       }
                 }
             }
            for (int index = 0; index < outset2.size(); index++) { // for each gate in outset2
                if (((Gate) outset2.elementAt(index)).input1gate == this) { // if gate's input is connected to this output
                    if (((Gate) outset2.elementAt(index)).input1isnotvariable == true)
                     if (((Gate) outset2.elementAt(index)).inputValue(1) != // and the value is incorrect
                        outputValue(2)) {
                        ((Gate) outset2.elementAt(index)).changeInputState(1); // change the value
                    }
                }
                if (((Gate) outset2.elementAt(index)).input2gate == this)
                {                    // else must be connected to input pin 2
                  if (((Gate) outset2.elementAt(index)).input2isnotvariable == true)
                    if (((Gate) outset2.elementAt(index)).inputValue(2) != // if value is incorrect
                        outputValue(2))
                       {
                        ((Gate) outset2.elementAt(index)).changeInputState(2); // change the value
                       }
                }
                if (((Gate) outset2.elementAt(index)).input3gate == this)
                 {                    // else must be connected to input pin 3
                 if (((Gate) outset2.elementAt(index)).input3isnotvariable == true)
                    if (((Gate) outset2.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(2))
                       {
                        ((Gate) outset2.elementAt(index)).changeInputState(4); // change the value
                       }
                 }
            }
        }
    }

    public Gate selected(Point point) {    // given pixel location
        if (((point.x / width) == x) && ((point.y / height) == y - 1)) // if gate is selected
            return this;                  // return itself
        return null;                      // otherwise return null
    }

    public int selectedLocation(Point point)
    {
        int outputpinnum = outputSelected(point);
        if (outputpinnum > 0)             // if an output pin was selected
            return outputpinnum;          //return output number
        return 0;
    }

    public int outputSelected (Point point)
    {
       Point scaled = scaleLocation (x, y);
     if ((point.x > scaled.x + 7) && (point.x < scaled.x + 13) && (point.y > scaled.y + 10))
          return 3;
     if ((point.x > scaled.x + 17) && (point.x < scaled.x + 23) && (point.y > scaled.y + 10))
          return 4;

        return 0;
    }

    public int inputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if ((point.x > scaled.x) && (point.x < scaled.x + 20) && // if near input pins
            (point.y > scaled.y - 15) && (point.y < scaled.y + 15))
                return 1;                 // return constant 1
        else                              // otherwise not near input pins
            return 0;                     // return constant 0
    }

    public void paintGate(Graphics g) {     // draws the variable gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.setFont(new Font("Helvetica", Font.PLAIN, 8)); // set font
        g.drawString(name, scaled.x +  15,
                     scaled.y +  8);         // variable name
        g.drawLine(scaled.x+10 , scaled.y , scaled.x+10,
                   scaled.y + height);        // output1 line
        g.drawLine(scaled.x+10, scaled.y+10,
                   scaled.x+20, scaled.y+10); // connect output
        g.fillOval(scaled.x +8,scaled.y + 8,4,4); // connection
        g.drawLine(scaled.x + 20, scaled.y + 10,    //begin of output2 line
                   scaled.x + 20, scaled.y + 14);
        g.drawLine(scaled.x + 15, scaled.y + 14,
                   scaled.x + 25, scaled.y + 14);   //not line variable
        g.drawLine(scaled.x + 15, scaled.y + 14,
                   scaled.x + 20, scaled.y + 28);
        g.drawLine(scaled.x + 25, scaled.y + 14,
                   scaled.x + 20, scaled.y + 28);
        g.drawOval(scaled.x + 18, scaled.y + 28, 4,4);
        g.drawLine(scaled.x + 20, scaled.y + 32,
                   scaled.x + 20, scaled.y + height); // output2 line
    }

    public void paintValues(Graphics g) { // draw logic values around gate
        Point scaled = scaleLocation(x, y-9); // get pixel location
        g.setFont(new Font("Helvetica", Font.PLAIN, 11)); // set font
          Color oldColor=  g.getColor();
  g.setColor(Color.red);
        g.drawString(input1  ? "1" : "0", scaled.x +  3,
                                          scaled.y +  18); // input1 value
        g.setColor(oldColor);

    }
    public boolean isVariable ()
    {return true;}

   public boolean isRingVariable()
    {return false;}

   public boolean isOutVariable()
    {return false;}
}



class AndGate extends Gate {              // class for and gates
    CoordinateArea coordArea;
    private boolean input1 = false;       // input1's value
    private boolean input2 = false;       // input2's value
    private boolean output1;              // output1's value

   

    public AndGate(int x, int y, CoordinateArea controller) {        // constructor when giving grid coordinates
        this.coordArea = controller;
        this.x = x;                       // set x
        this.y = y;                       // set y
        compute();                        // compute the output value
      }

    public AndGate(Point point, CoordinateArea controller) {         // constructor when giving pixel point
          this.coordArea = controller;
          this.x = point.x / this.width +   // find x grid coordinate
            ((((point.x / this.width) % 2) == 0) ? 1 : 0);
            this.y = point.y / this.height +  // find y grid coordinate
            ((((point.y / this.height) % 2) == 0) ? 1 : 0);
            compute();                        // compute the output value
      }

    public boolean isVariable ()
    {return false;}
   public boolean isRingVariable()
    {return false;}
   public boolean isOutVariable()
    {return false;}

    public void changeInputState(int inputpinnum) { // toggles input values
        if (inputpinnum == 1)             // if pin 1
            input1 = !input1;             // change input1's value
        else                              // otherwise assuming it must be pin 2
            input2 = !input2;             // change input2's value
        compute();                        // compute the output value
    }

    public Point scaleLocation(int x, int y) { // given grid coordinates
        return new Point(x * width, y * height); // return pixel location
    }

    public boolean inputValue(int inputpinnum) { // given input pin number
        if (inputpinnum == 1)             // if pin 1
            return input1;                // return input1's value
        return input2;                    // otherwise return input2's value
    }

    public boolean outputValue(int pinnum) {        // checking the output value
        return output1;                   // return output1's value
    }

    public void compute()               // compute the and function
    {
        Wire w=null;
        if (output1 != (input1 & input2))   // if output1 is incorrect
        {
            output1 = (input1 & input2);  // change its value

            for(int index=0; index<coordArea.wires.size(); index++)
             {
              w= (Wire) coordArea.wires.elementAt(index);
              if(w.inGate==this) w.set=output1;
             }

            for (int index = 0; index < outset1.size(); index++)  // for each gate in outset1
            {
                if (((Gate) outset1.elementAt(index)).input1gate == this)  // if gate's input is connected to this output
                {
                    if (((Gate) outset1.elementAt(index)).inputValue(1) != // and the value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(1); // change the value
                       }
                }
                if (((Gate) outset1.elementAt(index)).input2gate == this)
                 {                    // else must be connected to input pin 2
                    if (((Gate) outset1.elementAt(index)).inputValue(2) != // if value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(2); // change the value
                       }
                 }
                 if (((Gate) outset1.elementAt(index)).input3gate == this)
                 {                    // else must be connected to input pin 3
                    if (((Gate) outset1.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(4); // change the value
                       }
                 }
            }// end for
        } // end if output1
    } //end method

    public Gate selected(Point point) {   // given pixel location
        if (((point.x / width) == x) && ((point.y / height) == y)) // if gate is selected
            return this;                  // return itself
        return null;                      // otherwise return null
    }

    public int selectedLocation(Point point) { // given pixel location
        int inputpinnum = inputSelected(point);// get input pin number selected
        if (inputpinnum > 0)                   // if an input pin was selected
            return inputpinnum;                // return the input pin number
        int outputpinnum = outputSelected (point);
        if (outputpinnum > 0)        // if the output pin was selected
            return outputpinnum;                     // return constant 3
        return 0;                         // otherwise return constant 0
    }

    public int outputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if((point.x > scaled.x + 35) && (point.y > scaled.y + 5) && // return true if near output
            (point.x < scaled.x + width) && (point.y < scaled.y + height - 5))
        return 3;
        return 0;
    }

    public int inputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if ((point.x > scaled.x - 10) && (point.y > scaled.y - 5) && // if near input pins
            (point.x < scaled.x + 10) && (point.y < scaled.y + 25))
           if (point.y < scaled.y + 10)    // if near upper pin
                return 1;                 // return constant 1
            else                          // otherwise in lower region
                return 2;                 // return constant 2
        else                              // otherwise not near input pins
            return 0;                     // return constant 0
    }

    public void paintGate(Graphics g) {   // draws the and gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.drawLine(scaled.x + 24, scaled.y + 22,
                   scaled.x + 11, scaled.y + 22); // bottom edge
        g.drawLine(scaled.x + 10, scaled.y + 22,
                   scaled.x + 10, scaled.y +  3); // left edge
        g.drawLine(scaled.x + 10, scaled.y +  2,
                   scaled.x + 25, scaled.y +  2); // top edge
        g.drawArc (scaled.x + 15, scaled.y + 2,
                   20, 20, 90, -180);     // right edge (arc)
        g.drawLine(scaled.x,      scaled.y +  6,
                   scaled.x +  9, scaled.y +  6); // input1 line
        g.drawLine(scaled.x,      scaled.y + 18,
                   scaled.x +  9, scaled.y + 18); // input2 line
        g.drawLine(scaled.x + 35, scaled.y + 12,
                   scaled.x + 44, scaled.y + 12); // output1 line
    }

    public void paintValues(Graphics g) { // draw logic values around gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.setFont(new Font("Helvetica", Font.PLAIN, 8)); // set font
        Color oldColor=  g.getColor();
        g.setColor(Color.red);
        g.drawString(input1  ? "1" : "0", scaled.x +  3,
                                          scaled.y +  5); // input1 value
        g.drawString(input2  ? "1" : "0", scaled.x +  3,
                                          scaled.y + 17); // input2 value
        g.drawString(output1 ? "1" : "0", scaled.x + 38,
                                          scaled.y + 11); // output1 value
        g.setColor(oldColor);
    }
}

class OrGate extends Gate {               // class for or gate
    CoordinateArea coordArea;
    private boolean input1 = false;       // input1's value
    private boolean input2 = false;       // input2's value
    private boolean output1;              // output1's value

    public OrGate(int x, int y,CoordinateArea controller) {         // constructor when giving grid coordinates
        this.coordArea = controller;
        this.x = x;                       // set x grid coordinate
        this.y = y;                       // set y grid coordinate
        compute();                        // compute the gate's function
    }

    public OrGate(Point point,CoordinateArea controller) {         // constructor when giving pixel point
        this.coordArea = controller;
        this.x = point.x / this.width +   // get x grid coordinate
            ((((point.x / this.width) % 2) == 0) ? 1 : 0);
        this.y = point.y / this.height +  // get y grid coordinate
            ((((point.y / this.height) % 2) == 0) ? 1 : 0);
        compute();                        // compute the gate's function
    }

    public boolean isVariable ()
    {return false;}

   public boolean isRingVariable()
    {return false;}
   public boolean isOutVariable()
    {return false;}

    public void changeInputState(int inputpinnum) { // given an input pin number
        if (inputpinnum == 1)             // if input pin 1
            input1 = !input1;             // change input1's value
        else                              // otherwise must be input pin 2
            input2 = !input2;             // change input2's value
        compute();                        // compute the gate's function
    }

    public Point scaleLocation(int x, int y) { // given grid coordinates
        return new Point(x * width, y * height); // return pixel location
    }

    public boolean inputValue(int inputpinnum) { // given an input pin number
        if (inputpinnum == 1)             // if input pin 1
            return input1;                // return input1's value
        return input2;                    // otherwise return input2's value
    }

    public boolean outputValue(int pinnum) {        // get a gate's output value
        return output1;                   // return output1's value
    }

    public void compute() {               // compute the or function
        Wire w=null;
        if (output1 != (input1 | input2)) { // if output1 is incorrect
            output1 = (input1 | input2);  // update output1
        for(int index=0; index<coordArea.wires.size(); index++)
             {
              w= (Wire) coordArea.wires.elementAt(index);
              if(w.inGate==this) w.set=output1;
             }
            for (int index = 0; index < outset1.size(); index++) { // for each gate
                if (((Gate) outset1.elementAt(index)).input1gate == this) { // if connected to this gate
                    if (((Gate) outset1.elementAt(index)).inputValue(1) != // and the value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(1); // change the input's value
                    }
                }
                if (((Gate) outset1.elementAt(index)).input2gate == this) {                    // must be connected to input pin 2
                    if (((Gate) outset1.elementAt(index)).inputValue(2) != // if the value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(2); // change the input's value
                    }
                }
                if (((Gate) outset1.elementAt(index)).input3gate == this)
                 {                    // else must be connected to input pin 3
                    if (((Gate) outset1.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(4); // change the value
                       }
                 }
            }
        }
    }

    public Gate selected(Point point) {   // given pixel location
        if (((point.x / width) == x) && ((point.y / height) == y)) // if gate is selected
            return this;                  // return this gate
        return  null;                     // otherwise return null
    }

    public int selectedLocation(Point point) { // given pixel location
        int inputpinnum = inputSelected(point);// get number of pin selected
        if (inputpinnum > 0)                   // if an input pin was selected
            return inputpinnum;                // return the input pin number
        int outputpinnum = outputSelected (point);
        if (outputpinnum > 0)        // if an output pin was selected
            return outputpinnum;                     // return the output pin constant 3
        return 0;                         // otherwise return constant 0
    }

    public int outputSelected(Point point) { // given pixel lcoation
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if ((point.x > scaled.x + 35) && (point.y > scaled.y + 5) && // return true if output is selected
            (point.x < scaled.x + width) && (point.y < scaled.y + height - 5))
        return 3;
        return 0;
    }

    public int inputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if ((point.x > scaled.x-8) && (point.y > scaled.y - 4) && // if near input pins
            (point.x < scaled.x + 10) && (point.y < scaled.y + 20))
           if (point.y < scaled.y + 10)    // if in upper region
                return 1;                 // return 1 for input pin 1
            else                          // otherwise must be in the lower region
                return 2;                 // return 2 for input pin 2
        else                              // otherwise
            return 0;                     // return 0 for no input pin selected
    }

    public void paintGate(Graphics g) {   // draw the or gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.drawArc (scaled.x +  4, scaled.y + 2,
                   12, 20, 90, -180);             // left edge (arc)
        g.drawArc (scaled.x - 15, scaled.y + 2,
                   50, 20, 90, -180);             // right edge (arc)
        g.drawLine(scaled.x,      scaled.y +  6,
                   scaled.x + 13, scaled.y +  6); // input1 line
        g.drawLine(scaled.x,      scaled.y + 18,
                   scaled.x + 13, scaled.y + 18); // input2 line
        g.drawLine(scaled.x + 35, scaled.y + 12,
                   scaled.x + 44, scaled.y + 12); // output1 line
    }

    public void paintValues(Graphics g) { // draw the values around the gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.setFont(new Font("Helvetica", Font.PLAIN, 8)); // set the font
          Color oldColor=  g.getColor();
  g.setColor(Color.red);
        g.drawString(input1  ? "1" : "0", scaled.x +  3,
                                          scaled.y +  5); // input1 value
        g.drawString(input2  ? "1" : "0", scaled.x +  3,
                                          scaled.y + 17); // input2 value
        g.drawString(output1 ? "1" : "0", scaled.x + 38,
                                          scaled.y + 11); // output1 value
        g.setColor(oldColor);
    }
}

class NotGate extends Gate {              // class for not (inverter) gate
    CoordinateArea coordArea;
    private boolean input1 = false;       // input1's value
    private boolean input2 = false;       // input2's value
    private boolean output1;              // output1's value

    public NotGate(int x, int y, CoordinateArea CA) {        // constructor for grid coordinates
        coordArea=CA;
        not = true;                       // this IS a not gate
        this.x = x;                       // set x grid coordinate
        this.y = y;                       // set y grid coordinate
        compute();                        // compute the not function
    }

    public NotGate(Point point, CoordinateArea CA) {         // constructor for pixel location
        coordArea=CA;
        not = true;                       // this IS a not gate
        this.x = point.x / this.width +   // get x grid coordinate
            ((((point.x / this.width) % 2) == 0) ? 1 : 0);
        this.y = point.y / this.height +  // get y grid coordinate
            ((((point.y / this.height) % 2) == 0) ? 1 : 0);
        compute();                        // compute the not function
    }


    public boolean isVariable ()
    {return false;}

   public boolean isRingVariable()
    {return false;}

   public boolean isOutVariable()
    {return false;}

    public void changeInputState(int inputpinnum) { // given input pin number
        input1 = !input1;                 // change input pin 1's value
        compute();                        // compute the not function
    }

    public Point scaleLocation(int x, int y) { // given grid coordinates
        return new Point(x * width, y * height); // return pixel location
    }

    public boolean inputValue(int inputpinnum) { // given input pin number
        return input1;                    // return input1's value
    }

    public boolean outputValue(int pinnum) {        // check output value
        return output1;                   // return output1's value
    }

    public void compute() {               // compute the not function
        Wire w=null;
        if (output1 == input1) {          // if values are the same
            output1 = !input1;            // change the output value
        for(int index=0; index<coordArea.wires.size(); index++)
             {
              w= (Wire) coordArea.wires.elementAt(index);
              if(w.inGate==this) w.set=output1;
             }
            for (int index = 0; index < outset1.size(); index++) { // for all gates in outset1
                if (((Gate) outset1.elementAt(index)).input1gate == this) { // if connected to input pin 1
                    if (((Gate) outset1.elementAt(index)).inputValue(1) != // and the value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(1); // change the input pin's value
                    }
                }
               if (((Gate) outset1.elementAt(index)).input2gate == this)                     // otherwise must be connected to input pin 2
                   { if (((Gate) outset1.elementAt(index)).inputValue(2) != // if value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(2); // change the input pin's value
                    }
                }
                if (((Gate) outset1.elementAt(index)).input3gate == this)
                 {                    // else must be connected to input pin 3
                    if (((Gate) outset1.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(4); // change the value
                       }
                 }
            }
        }
    }

    public Gate selected(Point point) {   // given pixel location
        if (((point.x / width) == x) && ((point.y / height) == y)) // if selecting gate
            return this;                  // return this gate
        return null;                      // otherwise return null
    }

    public int selectedLocation(Point point) { // given pixel location
        int inputpinnum = inputSelected(point);// get selected input pin number
        if (inputpinnum > 0)                   // if an input pin is selected
            return inputpinnum;                // return the number of the pin selected
        int outputpinnum = outputSelected (point);
        if (outputpinnum > 0)        // if an output pin is selected
            return outputpinnum;                     // return output pin constant 3
        return 0;                         // otherwise return constant 0
    }

    public int outputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y);// get pixel location of gate
        if ((point.x > scaled.x + 35) && (point.y > scaled.y + 5) && // return true if output selected
            (point.x < scaled.x + width) && (point.y < scaled.y + height - 5))
        return 3;
        return 0;
    }

    public int inputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if ((point.x > scaled.x -8) && (point.y > scaled.y - 4) && // if near input pin
            (point.x < scaled.x + 10) && (point.y < scaled.y + 20))
            return 1;                     // return constant 1 for input pin 1
        else                              // otherwise
            return 0;                     // return constant 0 for no input pin
    }

    public void paintGate(Graphics g) {   // draw the not gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.drawLine (scaled.x + 10, scaled.y + 21,
                    scaled.x + 10, scaled.y +  3); // left edge
        g.drawLine (scaled.x + 10, scaled.y +  2,
                    scaled.x + 34, scaled.y + 12); // top edge
        g.drawLine (scaled.x + 34, scaled.y + 12,
                    scaled.x + 10, scaled.y + 22); // bottom edge
        g.drawLine (scaled.x,      scaled.y + 12,
                    scaled.x +  9, scaled.y + 12); // input1 line
        g.drawLine (scaled.x + 40, scaled.y + 12,
                    scaled.x + 44, scaled.y + 12); // output1 line
        g.drawOval(scaled.x + 35, scaled.y + 10, 4,4);
    }

    public void paintValues(Graphics g) { // draw values around gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.setFont(new Font("Helvetica", Font.PLAIN, 8)); // set font
        Color oldColor=  g.getColor();
        g.setColor(Color.red);
        g.drawString(input1  ? "1" : "0", scaled.x +  3,
                                          scaled.y + 11); // input1 value
        g.drawString(output1 ? "1" : "0", scaled.x + 40,
                                          scaled.y + 11); // output1 value
        g.setColor(oldColor);
    }
}

class MultiAndGate extends Gate
{
   CoordinateArea coordArea;
   public Gate input3gate=null;
   private boolean input1=false;
   private boolean input2 =false;
   private boolean input3 =false;
   private boolean output1 = false;



  public MultiAndGate(int x, int y,CoordinateArea ca)
     {
       coordArea = ca;
       this.x=x;
       this.y=y;
       compute();
  }


    public MultiAndGate(Point point, CoordinateArea ca) {  // constructor when giving pixel point
        this.coordArea = ca;
        this.x = point.x / this.width +   // find x grid coordinate
            ((((point.x / this.width) % 2) == 0) ? 1 : 0);

        this.y = point.y / this.height +  // find y grid coordinate
            ((((point.y / this.height) % 2) == 0) ? 1 : 0);

        compute();                        // compute the output value
    }

    public boolean isVariable ()
    {return false;}

   public boolean isRingVariable()
    {return false;}
   public boolean isOutVariable()
    {return false;}

    public void changeInputState(int inputpinnum) { // toggles input values
        if (inputpinnum == 1)             // if pin 1
            input1 = !input1;             // change input1's value
        if (inputpinnum == 2)                              // otherwise assuming it must be pin 2
            input2 = !input2;             // change input2's value
        if (inputpinnum == 4)          // change input3's value
            input3 = !input3;
        compute();                        // compute the output value
    }

    public Point scaleLocation(int x, int y) { // given grid coordinates
        return new Point(x * width, y * height); // return pixel location
    }

    public boolean inputValue(int inputpinnum) { // given input pin number
        if (inputpinnum == 1)             // if pin 1
            return input1;                // return input1's value
        if(inputpinnum == 2)               // if pin 2
             return input2;               // return input2's value
        else                               // if pin 3
        return input3;                    // return input3's value
      }

    public boolean outputValue(int pinnum) {        // checking the output value
        return output1;                   // return output1's value
    }

    public void compute() {               // compute the and function
     Wire w=null;
        if (output1 != (input1 & input2 & input3)) { // if output1 is incorrect
            output1 = (input1 & input2 & input3);  // change its value
            for(int index=0; index<coordArea.wires.size(); index++)
             {
              w= (Wire) coordArea.wires.elementAt(index);
              if(w.inGate==this) w.set=output1;
             }

            for (int index = 0; index < outset1.size(); index++)  // for each gate in outset1
               {
                if (((Gate) outset1.elementAt(index)).input1gate == this) { // if gate's input is connected to this output
                    if (((Gate) outset1.elementAt(index)).inputValue(1) != // and the value is incorrect
                        outputValue(1))
                        {
                        ((Gate) outset1.elementAt(index)).changeInputState(1); // change the value
                        }
                }
                if (((Gate) outset1.elementAt(index)).input2gate == this) {                    // else must be connected to input pin 2
                    if (((Gate) outset1.elementAt(index)).inputValue(2) != // if value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(2); // change the value
                    }
                }
               if (((Gate) outset1.elementAt(index)).input3gate == this) {                    // else must be connected to input pin 2
                    if (((Gate) outset1.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(4); // change the value
            }
        }
    }
   }
   }

  public Gate selected(Point point)  // given pixel location
    {
        if (((point.x / width) == x) && ((point.y / height) == y)) // if gate is selected
            return this;                  // return itself
        return null;                      // otherwise return null
    }

    public int selectedLocation(Point point) { // given pixel location
        int inputpinnum = inputSelected(point);// get input pin number selected
        if (inputpinnum > 0)                   // if an input pin was selected
            return inputpinnum;                // return the input pin number
        int outputpinnum = outputSelected (point);
        if (outputpinnum > 0)        // if the output pin was selected
            return outputpinnum;                     // return constant 3
        return 0;                         // otherwise return constant 0
    }

    public int outputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if((point.x > scaled.x + 35) && (point.y > scaled.y + 5) && // return true if near output
            (point.x < scaled.x + width) && (point.y < scaled.y + height - 5))
        return 3;
        return 0;
    }

    public int inputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if ((point.x > scaled.x - 10) && (point.y > scaled.y - 5) && // if near input pins
            (point.x < scaled.x + 10) && (point.y < scaled.y + 25))
           {if (point.y < scaled.y + 9)    // if near upper pin
             {
             return 1;                 // return constant 1
             }
             else
              if (point.y > scaled.y + 9 && point.y < scaled.y + 15)    // if near upper pin
                {
                 return 4;                 // return constant 4
                }
                else
                  if (point.y > scaled.y + 15)    // if near upper pin
                    {
                     return 2;                 // return constant 1
                    }
             }
                                         // otherwise not near input pins
          return 0;                     // return constant 0
    }



    public void paintGate(Graphics g) {   // draws the and gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.drawLine(scaled.x + 24, scaled.y + 23,
                   scaled.x + 11, scaled.y + 23); // bottom edge
        g.drawLine(scaled.x + 10, scaled.y + 23,
                   scaled.x + 10, scaled.y +  3); // left edge
        g.drawLine(scaled.x + 10, scaled.y +  2,
                   scaled.x + 25, scaled.y +  2); // top edge
        g.drawArc (scaled.x + 15, scaled.y + 2,
                   20, 21, 90, -180);     // right edge (arc)
        g.drawLine(scaled.x,      scaled.y +  6,
                   scaled.x +  9, scaled.y +  6); // input1 line
        g.drawLine(scaled.x,      scaled.y + 18,
                   scaled.x +  9, scaled.y + 18); // input2 line

        g.drawLine(scaled.x,      scaled.y + 12,  //input3 line
                   scaled.x +  9, scaled.y + 12);

        g.drawLine(scaled.x + 35, scaled.y + 12,
                   scaled.x + 44, scaled.y + 12); // output1 line
   }
  public void paintValues(Graphics g) { // draw logic values around gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.setFont(new Font("Helvetica", Font.PLAIN, 8)); // set font
        Color oldColor=  g.getColor();
        g.setColor(Color.red);
        g.drawString(input1  ? "1" : "0", scaled.x +  3,
                                          scaled.y +  3); // input1 value
        g.drawString(input2  ? "1" : "0", scaled.x +  3,
                                          scaled.y + 20); // input2 value
        g.drawString(input3  ? "1" : "0", scaled.x +  3,
                                          scaled.y + 12);  // input3 value
        g.drawString(output1 ? "1" : "0", scaled.x + 38,
                                          scaled.y + 11); // output1 value
        g.setColor(oldColor);

    }
  }

class RingVariable extends Gate
{
CoordinateArea coordArea;
private boolean input1 = false;
private boolean output1 = input1;
private String name;
private String name1;

  public RingVariable(int x, int y, CoordinateArea ca)
  {
   this.coordArea = ca;
   width = 50;
   height = 25;
   this.x = x;
   this.y = y;
   name = "y' " + (y-11);
   name1 = "y" + (y-11);
   compute();
  }

  public void changeInputState (int inputpinnnum)
  {
  input1 = !input1;
  setSimbolicRing(coordArea.controller.numRingvar);
  }

  public void setSimbolicRing(int nRingVar)
  {int i,indice=0;
     for (i= 0; i<coordArea.gates.size() && nRingVar>0; i++)
       { Gate temp=(Gate) coordArea.gates.elementAt(i);
         while(!temp.isRingVariable())
         {
          i++;
          if(i<coordArea.gates.size())
          temp=(Gate) coordArea.gates.elementAt(i);

         }
        nRingVar=nRingVar-1;
        if (temp.inputValue(1))
        indice=indice+(int) Math.pow((double) 2,(double) nRingVar);
       }
     coordArea.simbolicState=" " + indice;
     if (coordArea.stateName.size()>indice)
     {TextField t=(TextField) coordArea.stateName.elementAt(indice);
     coordArea.simbolicState=t.getText();
      }
  }

  public Point scaleLocation (int x, int y)
  {
  return new Point (x*width, y*height);
  }

  public boolean inputValue (int inputpinnum)
  {
  return input1;
  }

  public boolean outputValue (int pinnum)
  {
  return output1;
  }

  public void compute()
  {

  Wire w=null;
        if (output1 != input1) {          // if values are the same
            output1 = input1;            // change the output value
        for(int index=0; index<coordArea.wires.size(); index++)
             {
              w= (Wire) coordArea.wires.elementAt(index);
              if(w.inGate==this) w.set=output1;
             }
            for (int index = 0; index < outset1.size(); index++) { // for all gates in outset1
                if (((Gate) outset1.elementAt(index)).input1gate == this) { // if connected to input pin 1
                    if (((Gate) outset1.elementAt(index)).inputValue(1) != // and the value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(1); // change the input pin's value
                    }
                }
               if (((Gate) outset1.elementAt(index)).input2gate == this)                     // otherwise must be connected to input pin 2
                   { if (((Gate) outset1.elementAt(index)).inputValue(2) != // if value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(2); // change the input pin's value
                    }
                }
                if (((Gate) outset1.elementAt(index)).input3gate == this)
                 {                    // else must be connected to input pin 3
                    if (((Gate) outset1.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(1))
                       {
                        ((Gate) outset1.elementAt(index)).changeInputState(4); // change the value
                       }
                 }
            }
        }
  }

  public Gate selected (Point point)
  {
  int xrect = (coordArea.controller.numvar)* 50;
  int xr;
   if (coordArea.controller.numvar==0)
        xr=xrect+20;
       else
        xr=xrect-10;
 if (((point.y / height) == y) && (((point.x < xr+10) && (point.x > xr-10)) | ((point.x < 655) && (point.x > 645)) ) )
  {
  return this;
  }
  return null;
  }

public int selectedLocation (Point point)
  {
   if (inputSelected (point)==1)
       return 1;
   if (outputSelected (point)==3)
       return 3;
   return 0;
  }

  public int inputSelected (Point point)
  {
  Point scaled = scaleLocation (x, y);
  if ((point.x > scaled.x-7) && (point.x < scaled.x +10)
  && (point.y > scaled.y-7) && (point.y < scaled.y +10))
      return 1;
  return 0;
  }

  public int outputSelected (Point point)
  {
  int xr;
  int xrect = (coordArea.controller.numvar)* 50;
    if (coordArea.controller.numvar==0)
        xr=xrect+20;
      else
        xr=xrect-10;
  Point scaled = scaleLocation(x, y); // get pixel location of gate
  if ((point.x > xr - 10) && (point.y > scaled.y - 5) && // return true if output is selected
      (point.x < xr + 10 ) && (point.y < scaled.y + 5))
     {return 3;}
   return 0;
  }

  public void paintGate (Graphics g)
  {
  Point scaled = scaleLocation (x, y);

  g.setFont(new Font ("Helvetica", Font.PLAIN, 12));
  g.drawString(name, scaled.x + 20, scaled.y - 5);
  g.fillOval (scaled.x-3, scaled.y+1, 6, 6); //puntino destra
  int xrect = (coordArea.controller.numvar)* 50;
    if (coordArea.controller.numvar==0)
       {
        int xr=xrect+20;
        g.fillOval(xr-7,scaled.y,6,6);  //puntino sinistra
        g.drawString(name1, xr -22, scaled.y - 5);
        g.drawLine(xr-5,scaled.y,xr-9,scaled.y);
       g.drawLine(xr-9,scaled.y,xr-9,350);    //linea sinistra fino al tubo
          g.drawLine(xr-12,344,xr-6,334);
          g.drawLine(xr-12,348,xr-6,338);
          g.clearRect(xr-19,330,9,12);
          g.drawString(""+(this.y-10), xr -18, 340);
          g.drawLine(scaled.x,scaled.y,xr+634,scaled.y);
          g.drawLine(xr+634,scaled.y,xr+634,350); // linea destra fino al tubo
          g.drawLine(xr+631,344,xr+637,334);
          g.drawLine(xr+631,348,xr+637,338);
          g.clearRect(xr+637,330,20,20);
          g.drawString(""+(this.y-10), xr +640, 340);
       }
       else
       {
        int xr=xrect-5;
        g.drawString(name1, xr -22, scaled.y - 5);
        g.fillOval(xr-7,scaled.y,6,6);
        g.drawLine(xr-5,scaled.y,xr-9,scaled.y);
        g.drawLine(xr-9,scaled.y,xr-9,350);     //   linea sinistra fino al tubo
         g.drawLine(xr-12,344,xr-6,334);
          g.drawLine(xr-12,348,xr-6,338);
          g.clearRect(xr-19,330,9,12);
          g.drawString(""+(this.y-10), xr -18, 340);
       g.drawLine(scaled.x,scaled.y,scaled.x+4,scaled.y);
        g.drawLine(scaled.x+4,scaled.y,scaled.x+4,350); //   linea destra fino al tubo
        g.drawLine(scaled.x+1,344,scaled.x+7,334);
        g.drawLine(scaled.x+1,348,scaled.x+7,338);
        g.clearRect(scaled.x+7,330,20,20);
        g.drawString(""+(this.y-10), scaled.x+10, 340);
       }
  }

public void paintValues (Graphics g)
  {
  Point scaled = scaleLocation (x, y);
  int xr;
  if (coordArea.controller.numvar==0) xr=15;
   else xr= (coordArea.controller.numvar)* 50 -13;
  g.setFont(new Font ("Helvetica", Font.PLAIN, 10));
    Color oldColor=  g.getColor();
  g.setColor(Color.red);
  g.drawString(input1? "1 " : "0 ", scaled.x + 10, scaled.y - 5);
  g.drawString(output1? "1 " : "0 ", xr /*sistemare*/, scaled.y - 5);
  g.setColor(oldColor);
  }

  public boolean isVariable()
  {return false;}

  public boolean isRingVariable()
  {return true;}
   public boolean isOutVariable()
    {return false;}

 }  //end class

class MultiOrGate extends Gate
{
   CoordinateArea coordArea;
   public Gate input4gate=null;
   private boolean input1=false;
   private boolean input2 =false;
   private boolean input3 =false;
   private boolean output1 = false;



  public MultiOrGate(int x, int y,CoordinateArea ca)
     {
       coordArea = ca;
       this.x=x;
       this.y=y;
       compute();
  }


    public MultiOrGate(Point point, CoordinateArea ca) {  // constructor when giving pixel point
        this.coordArea = ca;
        this.x = point.x / this.width +   // find x grid coordinate
            ((((point.x / this.width) % 2) == 0) ? 1 : 0);
        this.y = point.y / this.height +  // find y grid coordinate
            ((((point.y / this.height) % 2) == 0) ? 1 : 0);
        compute();                        // compute the output value
    }

    public boolean isVariable ()
    {return false;}
   public boolean isOutVariable()
    {return false;}

    public void changeInputState(int inputpinnum) { // toggles input values
        if (inputpinnum == 1)             // if pin 1
            input1 = !input1;             // change input1's value
        if (inputpinnum == 2)                              // otherwise assuming it must be pin 2
            input2 = !input2;             // change input2's value
        if (inputpinnum == 4)          // change input3's value
            input3 = !input3;
        compute();                        // compute the output value
    }

    public Point scaleLocation(int x, int y) { // given grid coordinates
        return new Point(x * width, y * height); // return pixel location
    }

    public boolean inputValue(int inputpinnum) { // given input pin number
        if (inputpinnum == 1)             // if pin 1
            return input1;                // return input1's value
        if(inputpinnum == 2)               // if pin 2
             return input2;               // return input2's value
        else                               // if pin 3
        return input3;                    // return input3's value
      }

    public boolean outputValue(int pinnum) {        // checking the output value
        return output1;                   // return output1's value
    }

    public void compute() {               // compute the and function
     Wire w=null;
        if (output1 != (input1 | input2 | input3)) { // if output1 is incorrect
            output1 = (input1 | input2 | input3);  // change its value
            for(int index=0; index<coordArea.wires.size(); index++)
             {
              w= (Wire) coordArea.wires.elementAt(index);
              if(w.inGate==this) w.set=output1;
             }

            for (int index = 0; index < outset1.size(); index++)  // for each gate in outset1
               {
                if (((Gate) outset1.elementAt(index)).input1gate == this) { // if gate's input is connected to this output
                    if (((Gate) outset1.elementAt(index)).inputValue(1) != // and the value is incorrect
                        outputValue(1))
                        {
                        ((Gate) outset1.elementAt(index)).changeInputState(1); // change the value
                        }
                }
                if (((Gate) outset1.elementAt(index)).input2gate == this) {                    // else must be connected to input pin 2
                    if (((Gate) outset1.elementAt(index)).inputValue(2) != // if value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(2); // change the value
                    }
                }
               if (((Gate) outset1.elementAt(index)).input3gate == this) {                    // else must be connected to input pin 2
                    if (((Gate) outset1.elementAt(index)).inputValue(3) != // if value is incorrect
                        outputValue(1)) {
                        ((Gate) outset1.elementAt(index)).changeInputState(3); // change the value


            }
        }
    }
   }
   }

  public Gate selected(Point point)  // given pixel location
    {
        if (((point.x / width) == x) && ((point.y / height) == y)) // if gate is selected
            return this;                  // return itself
        return null;                      // otherwise return null
    }

    public int selectedLocation(Point point) { // given pixel location
        int inputpinnum = inputSelected(point);// get input pin number selected
        if (inputpinnum > 0)                   // if an input pin was selected
            return inputpinnum;                // return the input pin number
        int outputpinnum = outputSelected (point);
        if (outputpinnum > 0)        // if the output pin was selected
            return outputpinnum;                     // return constant 3
        return 0;                         // otherwise return constant 0
    }

    public int outputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if((point.x > scaled.x + 35) && (point.y > scaled.y + 5) && // return true if near output
            (point.x < scaled.x + width) && (point.y < scaled.y + height - 5))
        return 3;
        return 0;
    }

    public int inputSelected(Point point) { // given pixel location
        Point scaled = scaleLocation(x, y); // get pixel location of gate
        if ((point.x > scaled.x - 10) && (point.y > scaled.y - 5) && // if near input pins
            (point.x < scaled.x + 15) && (point.y < scaled.y + 25))
           {if (point.y < scaled.y + 9)    // if near upper pin
             return 1;                 // return constant 1
             else
              if (point.y > scaled.y + 9 && point.y < scaled.y + 15)    // if near upper pin
                 return 4;                 // return constant 4
                else
                  if (point.y > scaled.y + 15)    // if near upper pin
                     return 2;                 // return constant 1
             }
                                         // otherwise not near input pins
          return 0;                     // return constant 0
    }



      public void paintGate(Graphics g) {   // draw the or gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.drawArc (scaled.x +  4, scaled.y + 2,
                   12, 20, 90, -180);             // left edge (arc)
        g.drawArc (scaled.x - 15, scaled.y + 2,
                   50, 20, 90, -180);             // right edge (arc)
        g.drawLine(scaled.x,      scaled.y +  6,
                   scaled.x + 13, scaled.y +  6); // input1 line
        g.drawLine(scaled.x,      scaled.y + 18,
                   scaled.x + 13, scaled.y + 18); // input2 line
        g.drawLine(scaled.x + 35, scaled.y + 12,
                   scaled.x + 44, scaled.y + 12); // output1 line
        g.drawLine(scaled.x,      scaled.y + 12,  //input3 line
                   scaled.x +  15, scaled.y + 12);

   }
  public void paintValues(Graphics g) { // draw logic values around gate
        Point scaled = scaleLocation(x, y); // get pixel location
        g.setFont(new Font("Helvetica", Font.PLAIN, 8)); // set font
          Color oldColor=  g.getColor();
        g.setColor(Color.red);
        g.drawString(input1  ? "1" : "0", scaled.x +  3,
                                          scaled.y +  3); // input1 value
        g.drawString(input2  ? "1" : "0", scaled.x +  3,
                                          scaled.y + 20); // input2 value
        g.drawString(input3  ? "1" : "0", scaled.x +  3,
                                          scaled.y + 12);  // input3 value
        g.drawString(output1 ? "1" : "0", scaled.x + 38,
                                          scaled.y + 11); // output1 value
        g.setColor(oldColor);
    }
  
   public boolean isRingVariable()
    {return false;}

  }


